# scaFixType

Types of fixes available for SCA vulnerabilities.

### Examples

```graphql
enum ScaFixType {
  UNKNOWN
  UNAVAILABLE
  MAJOR
  MINOR
  PATCH
}
```

### Enum values

| Enum value  | Description                                                            |
| ----------- | ---------------------------------------------------------------------- |
| UNKNOWN     | Fix type cannot be determined                                          |
| UNAVAILABLE | No fix is currently available                                          |
| MAJOR       | Requires a major version update which may include breaking changes     |
| MINOR       | Requires a minor version update with backward-compatible functionality |
| PATCH       | Requires a patch version update with backward-compatible bug fixes     |

### References

#### Fields with this object:

* [{} IssueFilters.scaFixType](/api-documentation/api-reference/api--issue/types/inputs/issue-filters.md)
* [{} Issue.scaFixType](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/enums/sca-fix-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
